version: "3.8"

services:
  meilisearch:
    image: getmeili/meilisearch:latest
    container_name: irclass_meilisearch
    ports:
      - "7700:7700"
    environment:
      MEILI_NO_ANALYTICS: "true"
      MEILI_MASTER_KEY: "${MEILISEARCH_KEY:-masterKey}"
      MEILI_ENV: "development"
    volumes:
      - ./data.ms:/data.ms  # Use existing data.ms directory in project root
    restart: unless-stopped
    healthcheck:
      test: ["CMD", "wget", "--no-verbose", "--tries=1", "--spider", "http://localhost:7700/health"]
      interval: 10s
      timeout: 5s
      retries: 3

